Bug 152042 - RFE: gnome-typing-monitor, add option to lock screen on typing break
RFE: gnome-typing-monitor, add option to lock screen on typing break
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Control Center Maintainer
David Lawrence
: FutureFeature, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-24 11:20 EST by Patrick C. F. Ernzer
Modified: 2013-01-09 22:38 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-20 11:38:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick C. F. Ernzer 2005-03-24 11:20:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050302 Firefox/1.0.1 Fedora/1.0.1-1.3.2

Description of problem:
It would be really nice if gnome-typing-monitor had an option to issue a xscreensaver-command -lock when a typing break comes up

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. set gnome-typing-monitor to enforce a typing break
2. allow postponing of breaks
3. want to leave your machine when the break comes
  

Actual Results:  machine not locked, I cannot leave my machine as any person passing by could click 'Postpone Break'

Expected Results:  Being able to go leave the machine and know it's locked

Additional info:
Comment 1 Matthew Miller 2006-07-10 17:33:55 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Patrick C. F. Ernzer 2006-07-11 05:43:17 EDT
This is still not implemented in control-center-2.14.2-1 on FC5
Comment 3 petrosyan 2008-03-10 19:26:26 EDT
Fedora Core 5 is no longer maintained. Is this bug still present in Fedora 7 or
Fedora 8?
Comment 4 Matthias Clasen 2008-03-11 10:50:42 EDT
The typing break feature indeed has a 'lock screen' option.
Comment 5 Patrick C. F. Ernzer 2008-03-13 07:27:37 EDT
reopening

Fedora 8's control-center-2.20.3-2.fc8 does not have a 'lock screen' option when
the typing break comes up.
Fedora 9 alpha's (all updates applied) control-center-2.22.0-1.fc9 also does not
have a lock screen' option when the typing break comes up.

Please keep in mind the original report;
Actual Results:  machine not locked, I cannot leave my machine as any person
passing by could click 'Postpone Break'
Expected Results:  Being able to go leave the machine and know it's locked

Matthias, what version did you check?
Comment 6 Matthias Clasen 2008-03-13 19:42:58 EDT
keyboard preferences, "Typing break" tab, "Lock screen to enforce typing break"
Comment 7 Patrick C. F. Ernzer 2008-03-26 16:57:57 EDT
OK, we're mis-communicating here, allow me to reword the steps to reproduce as
you and I definitely do not understand the same thing from my original report.

1. keyboard preferences, "Typing break" tab, "Lock screen to enforce typing
break"+"Allow postponing of breaks"
2. wait for first break to come but be very busy. So I click postpone
3. work is done, a short while later gnome-typing-monitor reminds me of my
postponed break and I decide to step away from the computer and do something else.

Actual Results: anybody who walks up to my machine can click 'postpone' and
access my machine

Expected Results: being able to take a break when g-t-monitor tells me and have
my machine not accessible by anybody walking past it. But also have the ability
to postpone a break if something major is going on and I must continue working.

Addition information:
  - even if I were to decide that I will not postone breaks and configure as
stated in Comment #6, at the end of the break the screen becomes unlocked
  - which is why I want xscreensaver-command -lock (or the gnome screensaver
equivalent for the users of that).

Feel free to grab me on IRC if the above is still unclear.
Comment 8 Matthias Clasen 2008-03-29 00:22:10 EDT
Ok, makes sense now
Comment 9 Matthias Clasen 2008-03-29 00:26:54 EDT
Of course, even without the postpone button, there is still the problem that the
monitor is automatically unlocked when the break is over. So if you go for
coffee, someone else might still steal your secrets if the break is over before
you are back.
Comment 10 Matthias Clasen 2008-03-29 00:37:07 EDT
Upstream bug for this: http://bugzilla.gnome.org/show_bug.cgi?id=128381
Comment 11 Bastien Nocera 2009-10-20 11:38:40 EDT
The discussion for this bug is happening upstream, so moving there.

Note You need to log in before you can comment on or make changes to this bug.